# Custom Activity Types Custom Activity Types ## Gets all of the custom activity types in the system. - [GET /customActivityTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-activity-types/listcustomactivitytypes.md): This method will scan all custom activity types and and return them to the caller. ## Creates a new custom activity type record that does not already exist. - [POST /customActivityTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-activity-types/createcustomactivitytype.md): This method will auto-generate an ID and create a new custom activity type. If an ID is specified for the custom activity type, an error will be thrown. ## Execute Batch Operations - [POST /customActivityTypes/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-activity-types/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a custom activity type from the system by its ID. - [DELETE /customActivityTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-activity-types/deletecustomactivitytype.md): This method will delete a custom activity type with the specified ID. ## Returns a custom activity type from the system by its ID. - [GET /customActivityTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-activity-types/getcustomactivitytype.md): This method will look up a custom activity type by the specified ID and return it back. ## Partially updates a custom activity type with the specified ID. - [PATCH /customActivityTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-activity-types/patchcustomactivitytype.md): This method will patch an existing custom activity type with the specified ID, using the HTTP PATCH specification. ## Updates a custom activity type with the specified ID. - [PUT /customActivityTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/custom-activity-types/updatecustomactivitytype.md): This method will update an existing custom activity type with the specified ID.